Package org.drinkless.tdlib

# Class TdApi.ArchiveChatListSettings

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ArchiveChatListSettings

Enclosing class:
  `TdApi`

public static class TdApi.ArchiveChatListSettings extends TdApi.Object
Contains settings for automatic moving of chats to and from the Archive chat lists.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `boolean`
  `archiveAndMuteNewChatsFromUnknownUsers`
  True, if new chats from non-contacts will be automatically archived and muted.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `keepChatsFromFoldersArchived`
  True, if unmuted chats, that are always included or pinned in a folder, will be kept in the Archive chat list when they get a new message.
  `boolean`
  `keepUnmutedChatsArchived`
  True, if unmuted chats will be kept in the Archive chat list when they get a new message.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ArchiveChatListSettings()`
  Contains settings for automatic moving of chats to and from the Archive chat lists.
  `ArchiveChatListSettings(boolean archiveAndMuteNewChatsFromUnknownUsers, boolean keepUnmutedChatsArchived, boolean keepChatsFromFoldersArchived)`
  Contains settings for automatic moving of chats to and from the Archive chat lists.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### archiveAndMuteNewChatsFromUnknownUsers

    public boolean archiveAndMuteNewChatsFromUnknownUsers
    True, if new chats from non-contacts will be automatically archived and muted. Can be set to true only if the option "can_archive_and_mute_new_chats_from_unknown_users" is true.

  - ### keepUnmutedChatsArchived

    public boolean keepUnmutedChatsArchived
    True, if unmuted chats will be kept in the Archive chat list when they get a new message.

  - ### keepChatsFromFoldersArchived

    public boolean keepChatsFromFoldersArchived
    True, if unmuted chats, that are always included or pinned in a folder, will be kept in the Archive chat list when they get a new message. Ignored if keepUnmutedChatsArchived == true.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ArchiveChatListSettings

    public ArchiveChatListSettings()
    Contains settings for automatic moving of chats to and from the Archive chat lists.

  - ### ArchiveChatListSettings

    public ArchiveChatListSettings(boolean archiveAndMuteNewChatsFromUnknownUsers, boolean keepUnmutedChatsArchived, boolean keepChatsFromFoldersArchived)
    Contains settings for automatic moving of chats to and from the Archive chat lists.
    Parameters:
      `archiveAndMuteNewChatsFromUnknownUsers` - True, if new chats from non-contacts will be automatically archived and muted. Can be set to true only if the option "can_archive_and_mute_new_chats_from_unknown_users" is true.
      `keepUnmutedChatsArchived` - True, if unmuted chats will be kept in the Archive chat list when they get a new message.
      `keepChatsFromFoldersArchived` - True, if unmuted chats, that are always included or pinned in a folder, will be kept in the Archive chat list when they get a new message. Ignored if keepUnmutedChatsArchived == true.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR